﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AvalonRFZero.Libs
{
    public class IntSort
    {
        public int IntIndex;
        public double RndValue;

        public IntSort(int intIndex, double rndValue)
        {
            IntIndex = intIndex;
            RndValue = rndValue;
        }

        public class NNOrder : IComparer<IntSort>
        {
            public int Compare(IntSort x, IntSort y)
            {
                if (x.RndValue > y.RndValue)
                {
                    return 1;
                }
                if (x.RndValue < y.RndValue)
                {
                    return -1;
                }
                else
                {
                    return 0;
                }
            }
        }
    }
}
