﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AvalonRFZero.PRG
{
    internal static class AppStart
    {
        public static void SetStartParams(MainWindow mainWindow) 
        {
            // Engine - Engine match
            EngineMatch.CreateEngineList(mainWindow.cbEngine01, mainWindow.cbEngine02);

            // Engine - Human match
            HumanComputerMatch.CreateHumanEngineList(mainWindow.cbHCEngine01, mainWindow.cbHCEngine02);

            mainWindow.lbProgHCResult.IsVisible = false;
            mainWindow.lbGameProgressInfo.IsVisible = false;

            mainWindow.TestButtons.IsVisible = false;
            mainWindow.EngineSelfPlay.IsVisible = false;
        }
    }
}
