﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AvalonRFZero.PRG
{
    interface IEngine
    {
        string engineName { set; get; }
        string engineParams { set; get; }
        int RRobinNumber { set; get; }
        string moveMessage { set; get; }
        
        // Functions to be implemented.
        
        int[] ShowBestMove(byte[] Position);
        BestMoveData ShowsBestMoveAndStat(byte[] Position);
        string ShowEngineInfo();
    }
}
